#
# spec file for package rubygem-data_objects
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-data_objects
Version:        0.10.7
Release:        1.2
%define mod_name data_objects
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Provides:       rubygem-%{mod_name}-0_10 = %{version}
%rubygems_requires
# addressable ~> 2.1
BuildRequires:  rubygem-addressable-2 >= 2.1
Requires:       rubygem-addressable-2 >= 2.1
#
Url:            http://github.com/datamapper/do
Source:         %{mod_full_name}.gem
#
Summary:        DataObjects basic API and shared driver specifications
%description
Provide a standard and simplified API for communicating with RDBMS from Ruby

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
%build
%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Fri Oct 14 2011 fcastelli@suse.com
- add missing 'Provides' statement
* Fri Oct 14 2011 fcastelli@suse.com
- update to version 0.10.7
* Fri Oct  7 2011 fcastelli@suse.com
- Update to version 0.10.6
* Thu Mar  3 2011 fcastelli@novell.com
- Fixed licenses of doc and testsuite sub packages
* Thu Mar  3 2011 fcastelli@novell.com
- update to version 0.10.3
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.10.2
  * Support for Encoding.default_internal
  * Rework logging to adding a callback is possible
- additional changes from version 0.10.1
  * Removal of Extlib dependency: Pooling and Utilities code moved
    to DataObjects.
  * Switch to Jeweler for Gem building tasks (this change may be
    temporary).
  * Switch to using Bacon for running specs: This should make specs
    friendlier to new Ruby implementations that are not yet 100%%
    MRI-compatible, and in turn, pave the road for our own IronRuby
    and MacRuby support.
  * Make DataObjects::Reader Enumerable.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 mrueckert@suse.de
- update to 0.10.0
* Mon Mar 23 2009 dmacvicar@suse.de
- initial package
